Bug 99805 - [MAINTAINER] multimedia/tunapie: update to 1.0.r2
[MAINTAINER] multimedia/tunapie: update to 1.0.r2
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: itetcu
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-05 17:10 UTC by nivit
Modified: 2006-07-12 20:45 UTC (History)
0 users

See Also:


Attachments
tunapie-1.0.r2.patch (6.34 KB, patch)
2006-07-05 17:10 UTC, nivit
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nivit 2006-07-05 17:10:21 UTC
- Update to 1.0.r2

Generated with FreeBSD Port Tools 0.77
Comment 1 itetcu freebsd_committer 2006-07-08 22:34:49 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

I'll take it.
Comment 2 itetcu freebsd_committer 2006-07-09 11:06:21 UTC
=== Checking filesystem state
list of filesystem changes from before and after port installation and deinstallation
usr/local/lib/python2.4/site-packages/wxversion.pyc changed
	permissions expected 0444 found 0644

Could you make it not to do that ?

Thanks,

-- 
IOnut - Un^d^dregistered ;) FreeBSD "user"
  "Intellectual Property" is   nowhere near as valuable   as "Intellect"

He's dead, Jim
		-- McCoy, "The Devil in the Dark", stardate 3196.1

Comment 3 itetcu freebsd_committer 2006-07-09 11:06:59 UTC
State Changed
From-To: open->feedback

Ask for submitter fix.
Comment 4 nivit 2006-07-11 21:01:09 UTC
Hi,

> [Ion-Mihai Tetcu, 2006-07-09T10:07:00+00:00]
> [...]
> Ask for submitter fix.

Fixed with the following patch.

Thanks, ciao.
--
Nicola Vitale
nivit@email.it

diff -ruN tunapie/Makefile tunapie.update-1.0-rc2/Makefile
--- tunapie/Makefile	Wed Jun  7 08:36:51 2006
+++ tunapie.update-1.0-rc2/Makefile	Tue Jul 11 21:43:12 2006
@@ -6,11 +6,11 @@
 #
 
 PORTNAME=	tunapie
-PORTVERSION=	0.9.9
+PORTVERSION=	1.0.r2
 CATEGORIES=	multimedia audio
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	${PORTNAME}
-DISTNAME=	${PORTNAME}_${PORTVERSION}
+DISTNAME=	${PORTNAME}_${PORTVERSION:S|.r2|_rc2|}
 
 MAINTAINER=	nivit@email.it
 COMMENT=	Tuner for streaming internet radio and TV
@@ -18,7 +18,7 @@
 RUN_DEPENDS=	${PYTHON_SITELIBDIR}/mx/__init__.py:${PORTSDIR}/lang/py-mx-base \
 		${PYTHON_SITELIBDIR}/${WX_PYTHON_DIR}/wxPython/_wx.py:${PORTSDIR}/x11-toolkits/py-wxPython26 \
 		streamripper:${PORTSDIR}/audio/streamripper \
-		mplayer:${PORTSDIR}/multimedia/mplayer \
+		xine:${PORTSDIR}/multimedia/xine \
 		xmms:${PORTSDIR}/multimedia/xmms
 
 NO_BUILD=	yes
diff -ruN tunapie/distinfo tunapie.update-1.0-rc2/distinfo
--- tunapie/distinfo	Wed Jun  7 08:36:51 2006
+++ tunapie.update-1.0-rc2/distinfo	Tue Jul  4 11:38:03 2006
@@ -1,3 +1,3 @@
-MD5 (tunapie_0.9.9.tar.gz) = e67de4978036beea03eb349f8b0d14a9
-SHA256 (tunapie_0.9.9.tar.gz) = f01d2ece51063dbe9695fb57c3431e3074fcdd38b562f9bf3cc7baead5ed5dcc
-SIZE (tunapie_0.9.9.tar.gz) = 37727
+MD5 (tunapie_1.0_rc2.tar.gz) = 2b479e78e2c3474e43a17d7b668af52d
+SHA256 (tunapie_1.0_rc2.tar.gz) = e1f3942d9be93b6c4736770f1c33075f760e309a55f729259fd5fb04abfb6f6a
+SIZE (tunapie_1.0_rc2.tar.gz) = 39034
diff -ruN tunapie/files/patch-install.sh tunapie.update-1.0-rc2/files/patch-install.sh
--- tunapie/files/patch-install.sh	Wed Jun  7 08:36:51 2006
+++ tunapie.update-1.0-rc2/files/patch-install.sh	Tue Jul 11 21:42:44 2006
@@ -1,6 +1,6 @@
-$FreeBSD: ports/multimedia/tunapie/files/patch-install.sh,v 1.1 2006/06/07 06:36:51 clsung Exp $
---- install.sh	Sat Apr  1 23:21:08 2006
-+++ install.sh.port	Mon Apr  3 14:06:04 2006
+$FreeBSD$
+--- install.sh	Sun Jul  2 10:49:31 2006
++++ install.sh.port	Tue Jul  4 14:10:42 2006
 @@ -3,7 +3,7 @@
  else cp src/tunersafe.py src/tuner.py
  fi
@@ -10,6 +10,6 @@
 -mkdir /usr/local/share/tunapie
 -cp src/*.py src/*.pyc src/*.jpg /usr/local/share/tunapie
 +cp tunapie %%PREFIX%%/bin
-+#rm -rf %%DATADIR%%
++#rm -rf /usr/local/share/tunapie
 +mkdir %%DATADIR%%
 +cp src/*.py src/*.pyc src/*.jpg %%DATADIR%%
diff -ruN tunapie/files/patch-src-TunerFrame1.py tunapie.update-1.0-rc2/files/patch-src-TunerFrame1.py
--- tunapie/files/patch-src-TunerFrame1.py	Wed Jun  7 08:36:51 2006
+++ tunapie.update-1.0-rc2/files/patch-src-TunerFrame1.py	Tue Jul 11 21:42:53 2006
@@ -1,18 +1,18 @@
-$FreeBSD: ports/multimedia/tunapie/files/patch-src-TunerFrame1.py,v 1.1 2006/06/07 06:36:51 clsung Exp $
---- src/TunerFrame1.py	Tue May  9 23:17:31 2006
-+++ src/TunerFrame1.py.port	Wed May 10 11:38:29 2006
-@@ -352,10 +352,10 @@
+$FreeBSD$
+--- src/TunerFrame1.py	Sun Jul  2 20:16:55 2006
++++ src/TunerFrame1.py.port	Tue Jul  4 15:07:01 2006
+@@ -422,10 +422,10 @@
          for name in self.favname:
              self.favorites.Append(name)
          self.name=[]
 -        self.mediaplayer='/usr/bin/xmms'
--        self.videoplayer='/usr/bin/mplayer -nojoystick'
+-        self.videoplayer='/usr/bin/totem'
 -        self.term='/usr/bin/x-terminal-emulator'
 -        self.ripper='/usr/bin/streamripper -t -u winamp2 -o never'
 +        self.mediaplayer='%%X11BASE%%/bin/xmms'
-+        self.videoplayer='%%LOCALBASE%%/bin/mplayer -nojoystick'
++        self.videoplayer='%%X11BASE%%/bin/xine'
 +        self.term='%%X11BASE%%/bin/xterm'
 +        self.ripper='%%LOCALBASE%%/bin/streamripper -t -u winamp2 -o never'
          self.rdir=self.home+'/.tunapie/streamripper'
          self.shoutice=1 #0 is icecast server 1 is shoutcast
-         self.mediaplayer,self.videoplayer,self.term,self.ripper,self.rdir,self.shoutice=\
+         self.maxd=100
diff -ruN tunapie/files/patch-src-TunerPrefs.py tunapie.update-1.0-rc2/files/patch-src-TunerPrefs.py
--- tunapie/files/patch-src-TunerPrefs.py	Wed Jun  7 08:36:51 2006
+++ tunapie.update-1.0-rc2/files/patch-src-TunerPrefs.py	Tue Jul 11 21:42:59 2006
@@ -1,7 +1,7 @@
-$FreeBSD: ports/multimedia/tunapie/files/patch-src-TunerPrefs.py,v 1.1 2006/06/07 06:36:51 clsung Exp $
---- src/TunerPrefs.py	Wed May 24 23:10:23 2006
-+++ src/TunerPrefs.py.port	Sat May 27 10:59:16 2006
-@@ -74,7 +74,7 @@
+$FreeBSD$
+--- src/TunerPrefs.py	Sun Jul  2 10:49:31 2006
++++ src/TunerPrefs.py.port	Tue Jul  4 15:11:29 2006
+@@ -77,7 +77,7 @@
  
          self.audiopath = wx.TextCtrl(id=wxID_PREFERENCESAUDIOPATH,
                name='audiopath', parent=self, pos=wx.Point(160, 16),
@@ -10,16 +10,16 @@
          self.audiopath.SetFont(wx.Font(7, 77, wx.NORMAL, wx.NORMAL, False,
                u'Sans'))
          self.audiopath.SetBackgroundColour(wx.Colour(255, 253, 239))
-@@ -82,7 +82,7 @@
+@@ -85,7 +85,7 @@
  
          self.videopath = wx.TextCtrl(id=wxID_PREFERENCESVIDEOPATH,
                name='videopath', parent=self, pos=wx.Point(160, 48),
 -              size=wx.Size(208, 22), style=0, value='/usr/bin/mplayer')
-+              size=wx.Size(208, 22), style=0, value='%%LOCALBASE%%/bin/mplayer')
++              size=wx.Size(208, 22), style=0, value='%%X11BASE%%/bin/xine')
          self.videopath.SetFont(wx.Font(7, 77, wx.NORMAL, wx.NORMAL, False,
                u'Sans'))
          self.videopath.SetBackgroundColour(wx.Colour(255, 253, 239))
-@@ -110,7 +110,7 @@
+@@ -113,7 +113,7 @@
          self.termpath = wx.TextCtrl(id=wxID_PREFERENCESTERMPATH,
                name='termpath', parent=self, pos=wx.Point(160, 80),
                size=wx.Size(208, 22), style=0,
@@ -28,7 +28,7 @@
          self.termpath.SetFont(wx.Font(7, wx.SWISS, wx.NORMAL, wx.NORMAL, False,
                u'Sans'))
          self.termpath.SetBackgroundColour(wx.Colour(255, 253, 239))
-@@ -118,7 +118,7 @@
+@@ -121,7 +121,7 @@
  
          self.rippath = wx.TextCtrl(id=wxID_PREFERENCESRIPPATH, name='rippath',
                parent=self, pos=wx.Point(160, 112), size=wx.Size(208, 22),
diff -ruN tunapie/files/patch-src-compile tunapie.update-1.0-rc2/files/patch-src-compile
--- tunapie/files/patch-src-compile	Thu Jan  1 01:00:00 1970
+++ tunapie.update-1.0-rc2/files/patch-src-compile	Tue Jul 11 21:43:06 2006
@@ -0,0 +1,17 @@
+$FreeBSD$
+--- src/compile	Sun Jul  2 10:49:31 2006
++++ src/compile.port	Tue Jul 11 21:30:59 2006
+@@ -1 +1,12 @@
+-import Tunapie
++import os, os.path, re
++from compiler import compileFile
++
++def compile_tunapie(arg, dir, files):
++    for file in files:
++	path = os.path.join(dir, file)
++	path = os.path.normcase(path)
++	if re.search(r".*\.py$", path):
++	    print "  ==> Generating bytecode for " + path
++	    compileFile(path)
++
++os.path.walk('.', compile_tunapie, 0)
diff -ruN tunapie/pkg-plist tunapie.update-1.0-rc2/pkg-plist
--- tunapie/pkg-plist	Wed Jun  7 08:36:51 2006
+++ tunapie.update-1.0-rc2/pkg-plist	Tue Jul 11 20:53:53 2006
@@ -7,6 +7,7 @@
 %%DATADIR%%/RecordTime.py
 %%DATADIR%%/RecordTime.pyc
 %%DATADIR%%/Splash.py
+%%DATADIR%%/Splash.pyc
 %%DATADIR%%/Tunapie.py
 %%DATADIR%%/Tunapie.pyc
 %%DATADIR%%/TunerFrame1.py
@@ -19,5 +20,7 @@
 %%DATADIR%%/tuner.py
 %%DATADIR%%/tuner.pyc
 %%DATADIR%%/tuneradult.py
+%%DATADIR%%/tuneradult.pyc
 %%DATADIR%%/tunersafe.py
+%%DATADIR%%/tunersafe.pyc
 @dirrm %%DATADIR%%
Comment 5 itetcu freebsd_committer 2006-07-12 20:45:04 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!